> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fleet Health Route



## OpenAPI

````yaml /api/openapi.json get /api/fleet/health
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/fleet/health:
    get:
      tags:
        - fleet
      summary: Fleet Health Route
      operationId: fleet_health_route_api_fleet_health_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FleetHealthOut'
components:
  schemas:
    FleetHealthOut:
      properties:
        total_minions:
          type: integer
          title: Total Minions
        minions:
          items:
            $ref: '#/components/schemas/MinionHealthOut'
          type: array
          title: Minions
      type: object
      required:
        - total_minions
        - minions
      title: FleetHealthOut
    MinionHealthOut:
      properties:
        minion_id:
          type: string
          title: Minion Id
        online:
          type: boolean
          title: Online
        run_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Run Id
        jid:
          anyOf:
            - type: string
            - type: 'null'
          title: Jid
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        status:
          type: string
          enum:
            - healthy
            - changed
            - unhealthy
            - blocked
            - stale
            - unknown
          title: Status
        pass_count:
          type: integer
          title: Pass Count
        fail_count:
          type: integer
          title: Fail Count
        change_count:
          type: integer
          title: Change Count
        total_count:
          type: integer
          title: Total Count
        duration_ms:
          type: integer
          title: Duration Ms
      type: object
      required:
        - minion_id
        - online
        - run_id
        - jid
        - completed_at
        - status
        - pass_count
        - fail_count
        - change_count
        - total_count
        - duration_ms
      title: MinionHealthOut

````